  
ProfileUsage = (function () {
  var cls = function ProfileUsage() {
      this.usageInMegabytes = new Number();
      this.lastSyncTime = new Date();
    };
  return cls;
}) ();
exports.ProfileUsage = ProfileUsage;


_DataClasses = function () {
  this.none = 0;
  this.gprs = 1;
  this.edge = 2;
  this.umts = 3;
  this.hsdpa = 4;
  this.hsupa = 5;
  this.lteAdvanced = 6;
  this.cdma1xRtt = 7;
  this.cdma1xEvdo = 8;
  this.cdma1xEvdoRevA = 9;
  this.cdma1xEvdv = 10;
  this.cdma3xRtt = 11;
  this.cdma1xEvdoRevB = 12;
  this.cdmaUmb = 13;
  this.custom = 14;
}
exports.DataClasses = new _DataClasses();

_MobileBroadbandDeviceType = function () {
  this.unknown = 0;
  this.embedded = 1;
  this.removable = 2;
  this.remote = 3;
}
exports.MobileBroadbandDeviceType = new _MobileBroadbandDeviceType();

_NetworkDeviceStatus = function () {
  this.deviceNotReady = 0;
  this.deviceReady = 1;
  this.simNotInserted = 2;
  this.badSim = 3;
  this.deviceHardwareFailure = 4;
  this.accountNotActivated = 5;
  this.deviceLocked = 6;
  this.deviceBlocked = 7;
}
exports.NetworkDeviceStatus = new _NetworkDeviceStatus();

_NetworkRegistrationState = function () {
  this.none = 0;
  this.deregistered = 1;
  this.searching = 2;
  this.home = 3;
  this.roaming = 4;
  this.partner = 5;
  this.denied = 6;
}
exports.NetworkRegistrationState = new _NetworkRegistrationState();

_MobileBroadbandRadioState = function () {
  this.off = 0;
  this.on = 1;
}
exports.MobileBroadbandRadioState = new _MobileBroadbandRadioState();

_NetworkOperatorEventMessageType = function () {
  this.gsm = 0;
  this.cdma = 1;
  this.ussd = 2;
  this.dataPlanThresholdReached = 3;
  this.dataPlanReset = 4;
  this.dataPlanDeleted = 5;
  this.profileConnected = 6;
  this.profileDisconnected = 7;
  this.registeredRoaming = 8;
  this.registeredHome = 9;
  this.tetheringEntitlementCheck = 10;
  this.tetheringOperationalStateChanged = 11;
  this.tetheringNumberOfClientsChanged = 12;
}
exports.NetworkOperatorEventMessageType = new _NetworkOperatorEventMessageType();

_MobileBroadbandAccountWatcherStatus = function () {
  this.created = 0;
  this.started = 1;
  this.enumerationCompleted = 2;
  this.stopped = 3;
  this.aborted = 4;
}
exports.MobileBroadbandAccountWatcherStatus = new _MobileBroadbandAccountWatcherStatus();

_TetheringOperationalState = function () {
  this.unknown = 0;
  this.on = 1;
  this.off = 2;
  this.inTransition = 3;
}
exports.TetheringOperationalState = new _TetheringOperationalState();

_TetheringCapability = function () {
  this.enabled = 0;
  this.disabledByGroupPolicy = 1;
  this.disabledByHardwareLimitation = 2;
  this.disabledByOperator = 3;
  this.disabledBySku = 4;
  this.disabledByRequiredAppNotInstalled = 5;
  this.disabledDueToUnknownCause = 6;
}
exports.TetheringCapability = new _TetheringCapability();

_TetheringOperationStatus = function () {
  this.success = 0;
  this.unknown = 1;
  this.mobileBroadbandDeviceOff = 2;
  this.wiFiDeviceOff = 3;
  this.entitlementCheckTimeout = 4;
  this.entitlementCheckFailure = 5;
  this.operationInProgress = 6;
}
exports.TetheringOperationStatus = new _TetheringOperationStatus();

_HotspotAuthenticationResponseCode = function () {
  this.noError = 0;
  this.loginSucceeded = 1;
  this.loginFailed = 2;
  this.radiusServerError = 3;
  this.networkAdministratorError = 4;
  this.loginAborted = 5;
  this.accessGatewayInternalError = 6;
}
exports.HotspotAuthenticationResponseCode = new _HotspotAuthenticationResponseCode();

_ProfileMediaType = function () {
  this.wlan = 0;
  this.wwan = 1;
}
exports.ProfileMediaType = new _ProfileMediaType();

_UssdResultCode = function () {
  this.noActionRequired = 0;
  this.actionRequired = 1;
  this.terminated = 2;
  this.otherLocalClient = 3;
  this.operationNotSupported = 4;
  this.networkTimeout = 5;
}
exports.UssdResultCode = new _UssdResultCode();

MobileBroadbandAccount = (function () {
  var cls = function MobileBroadbandAccount() {
    this.currentDeviceInformation = new MobileBroadbandDeviceInformation();
    this.currentNetwork = new MobileBroadbandNetwork();
    this.networkAccountId = new String();
    this.serviceProviderGuid = new String();
    this.serviceProviderName = new String();
  };
  

  cls.prototype.getConnectionProfiles = function getConnectionProfiles() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.createFromNetworkAccountId = function createFromNetworkAccountId(networkAccountId) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkAccountId" type="String">A param.</param>
    /// <returns type="MobileBroadbandAccount" />
    /// </signature>
    return new MobileBroadbandAccount();
  }


  cls.availableNetworkAccountIds = new Object();
  return cls;
}) ();
exports.MobileBroadbandAccount = MobileBroadbandAccount;

MobileBroadbandNetwork = (function () {
  var cls = function MobileBroadbandNetwork() {
    this.accessPointName = new String();
    this.activationNetworkError = new Number();
    this.networkAdapter = new Object();
    this.networkRegistrationState = new NetworkRegistrationState();
    this.packetAttachNetworkError = new Number();
    this.registeredDataClass = new DataClasses();
    this.registeredProviderId = new String();
    this.registeredProviderName = new String();
    this.registrationNetworkError = new Number();
  };
  

  cls.prototype.showConnectionUI = function showConnectionUI() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.MobileBroadbandNetwork = MobileBroadbandNetwork;

MobileBroadbandDeviceInformation = (function () {
  var cls = function MobileBroadbandDeviceInformation() {
    this.cellularClass = new Number();
    this.currentRadioState = new MobileBroadbandRadioState();
    this.customDataClass = new String();
    this.dataClasses = new DataClasses();
    this.deviceId = new String();
    this.deviceType = new MobileBroadbandDeviceType();
    this.firmwareInformation = new String();
    this.manufacturer = new String();
    this.mobileEquipmentId = new String();
    this.model = new String();
    this.networkDeviceStatus = new NetworkDeviceStatus();
    this.simIccId = new String();
    this.subscriberId = new String();
    this.telephoneNumbers = new Object();
  };
  

  return cls;
}) ();
exports.MobileBroadbandDeviceInformation = MobileBroadbandDeviceInformation;

NetworkOperatorNotificationEventDetails = (function () {
  var cls = function NetworkOperatorNotificationEventDetails() {
    this.encodingType = new Number();
    this.message = new String();
    this.networkAccountId = new String();
    this.notificationType = new NetworkOperatorEventMessageType();
    this.ruleId = new String();
    this.smsMessage = new Object();
  };
  

  cls.prototype.authorizeTethering = function authorizeTethering(allow, entitlementFailureReason) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="allow" type="Boolean">A param.</param>
    /// <param name="entitlementFailureReason" type="String">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.NetworkOperatorNotificationEventDetails = NetworkOperatorNotificationEventDetails;

NetworkOperatorTetheringAccessPointConfiguration = (function () {
  var cls = function NetworkOperatorTetheringAccessPointConfiguration() {
    this.ssid = new String();
    this.passphrase = new String();
  };
  

  return cls;
}) ();
exports.NetworkOperatorTetheringAccessPointConfiguration = NetworkOperatorTetheringAccessPointConfiguration;

NetworkOperatorTetheringOperationResult = (function () {
  var cls = function NetworkOperatorTetheringOperationResult() {
    this.additionalErrorMessage = new String();
    this.status = new TetheringOperationStatus();
  };
  

  return cls;
}) ();
exports.NetworkOperatorTetheringOperationResult = NetworkOperatorTetheringOperationResult;

NetworkOperatorTetheringManager = (function () {
  var cls = function NetworkOperatorTetheringManager() {
    this.clientCount = new Number();
    this.maxClientCount = new Number();
    this.tetheringOperationalState = new TetheringOperationalState();
  };
  

  cls.prototype.configureAccessPointAsync = function configureAccessPointAsync(configuration, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="configuration" type="NetworkOperatorTetheringAccessPointConfiguration">A param.</param>
    /// </signature>
  }


  cls.prototype.startTetheringAsync = function startTetheringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.stopTetheringAsync = function stopTetheringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getCurrentAccessPointConfiguration = function getCurrentAccessPointConfiguration() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="NetworkOperatorTetheringAccessPointConfiguration" />
    /// </signature>
    return new NetworkOperatorTetheringAccessPointConfiguration();
  }


  cls.getTetheringCapability = function getTetheringCapability(networkAccountId) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkAccountId" type="String">A param.</param>
    /// <returns type="TetheringCapability" />
    /// </signature>
    return new TetheringCapability();
  }


  cls.createFromNetworkAccountId = function createFromNetworkAccountId(networkAccountId) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkAccountId" type="String">A param.</param>
    /// <returns type="NetworkOperatorTetheringManager" />
    /// </signature>
    return new NetworkOperatorTetheringManager();
  }


  return cls;
}) ();
exports.NetworkOperatorTetheringManager = NetworkOperatorTetheringManager;

MobileBroadbandAccountEventArgs = (function () {
  var cls = function MobileBroadbandAccountEventArgs() {
    this.networkAccountId = new String();
  };
  

  return cls;
}) ();
exports.MobileBroadbandAccountEventArgs = MobileBroadbandAccountEventArgs;

MobileBroadbandAccountUpdatedEventArgs = (function () {
  var cls = function MobileBroadbandAccountUpdatedEventArgs() {
    this.hasDeviceInformationChanged = new Boolean();
    this.hasNetworkChanged = new Boolean();
    this.networkAccountId = new String();
  };
  

  return cls;
}) ();
exports.MobileBroadbandAccountUpdatedEventArgs = MobileBroadbandAccountUpdatedEventArgs;

MobileBroadbandAccountWatcher = (function () {
  var cls = function MobileBroadbandAccountWatcher() {
    this.status = new MobileBroadbandAccountWatcherStatus();
  };
  

  cls.prototype.start = function start() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.stop = function stop() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.MobileBroadbandAccountWatcher = MobileBroadbandAccountWatcher;

HotspotAuthenticationEventDetails = (function () {
  var cls = function HotspotAuthenticationEventDetails() {
    this.eventToken = new String();
  };
  

  return cls;
}) ();
exports.HotspotAuthenticationEventDetails = HotspotAuthenticationEventDetails;

HotspotAuthenticationContext = (function () {
  var cls = function HotspotAuthenticationContext() {
    this.authenticationUrl = new Object();
    this.networkAdapter = new Object();
    this.redirectMessageUrl = new Object();
    this.redirectMessageXml = new Object();
    this.wirelessNetworkId = new Array<Number>();
  };
  

  cls.prototype.issueCredentialsAsync = function issueCredentialsAsync(userName, password, extraParameters, markAsManualConnectOnFailure, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <param name="password" type="String">A param.</param>
    /// <param name="extraParameters" type="String">A param.</param>
    /// <param name="markAsManualConnectOnFailure" type="Boolean">A param.</param>
    /// </signature>
  }


  cls.prototype.issueCredentials = function issueCredentials(userName, password, extraParameters, markAsManualConnectOnFailure) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <param name="password" type="String">A param.</param>
    /// <param name="extraParameters" type="String">A param.</param>
    /// <param name="markAsManualConnectOnFailure" type="Boolean">A param.</param>
    /// </signature>
  }


  cls.prototype.abortAuthentication = function abortAuthentication(markAsManual) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="markAsManual" type="Boolean">A param.</param>
    /// </signature>
  }


  cls.prototype.skipAuthentication = function skipAuthentication() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.triggerAttentionRequired = function triggerAttentionRequired(packageRelativeApplicationId, applicationParameters) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="packageRelativeApplicationId" type="String">A param.</param>
    /// <param name="applicationParameters" type="String">A param.</param>
    /// </signature>
  }


  cls.tryGetAuthenticationContext = function tryGetAuthenticationContext(evenToken, context) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="evenToken" type="String">A param.</param>
    /// <param name="context" type="Object">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.HotspotAuthenticationContext = HotspotAuthenticationContext;

HotspotCredentialsAuthenticationResult = (function () {
  var cls = function HotspotCredentialsAuthenticationResult() {
    this.authenticationReplyXml = new Object();
    this.hasNetworkErrorOccurred = new Boolean();
    this.logoffUrl = new Object();
    this.responseCode = new HotspotAuthenticationResponseCode();
  };
  

  return cls;
}) ();
exports.HotspotCredentialsAuthenticationResult = HotspotCredentialsAuthenticationResult;

ProvisionFromXmlDocumentResults = (function () {
  var cls = function ProvisionFromXmlDocumentResults() {
    this.allElementsProvisioned = new Boolean();
    this.provisionResultsXml = new String();
  };
  

  return cls;
}) ();
exports.ProvisionFromXmlDocumentResults = ProvisionFromXmlDocumentResults;

ProvisionedProfile = (function () {
  var cls = function ProvisionedProfile() {
  };
  

  cls.prototype.updateCost = function updateCost(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.updateUsage = function updateUsage(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ProfileUsage">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.ProvisionedProfile = ProvisionedProfile;

ProvisioningAgent = (function () {
  var cls = function ProvisioningAgent() {
  };
  

  cls.prototype.provisionFromXmlDocumentAsync = function provisionFromXmlDocumentAsync(provisioningXmlDocument, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="provisioningXmlDocument" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.getProvisionedProfile = function getProvisionedProfile(mediaType, profileName) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mediaType" type="ProfileMediaType">A param.</param>
    /// <param name="profileName" type="String">A param.</param>
    /// <returns type="ProvisionedProfile" />
    /// </signature>
    return new ProvisionedProfile();
  }


  cls.createFromNetworkAccountId = function createFromNetworkAccountId(networkAccountId) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkAccountId" type="String">A param.</param>
    /// <returns type="ProvisioningAgent" />
    /// </signature>
    return new ProvisioningAgent();
  }


  return cls;
}) ();
exports.ProvisioningAgent = ProvisioningAgent;

UssdMessage = (function () {
  var cls = function UssdMessage() {
    this.payloadAsText = new String();
    this.dataCodingScheme = new Number();
  };
  
var cls = function UssdMessage(messageText) {
      this.payloadAsText = new String();
      this.dataCodingScheme = new Number();
};


  cls.prototype.getPayload = function getPayload() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Array<Number>" />
    /// </signature>
    return new Array<Number>();
  }


  cls.prototype.setPayload = function setPayload(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.UssdMessage = UssdMessage;

UssdReply = (function () {
  var cls = function UssdReply() {
    this.message = new UssdMessage();
    this.resultCode = new UssdResultCode();
  };
  

  return cls;
}) ();
exports.UssdReply = UssdReply;

UssdSession = (function () {
  var cls = function UssdSession() {
  };
  

  cls.prototype.sendMessageAndGetReplyAsync = function sendMessageAndGetReplyAsync(message, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="message" type="UssdMessage">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.createFromNetworkAccountId = function createFromNetworkAccountId(networkAccountId) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkAccountId" type="String">A param.</param>
    /// <returns type="UssdSession" />
    /// </signature>
    return new UssdSession();
  }


  cls.createFromNetworkInterfaceId = function createFromNetworkInterfaceId(networkInterfaceId) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkInterfaceId" type="String">A param.</param>
    /// <returns type="UssdSession" />
    /// </signature>
    return new UssdSession();
  }


  return cls;
}) ();
exports.UssdSession = UssdSession;

